$kind: http-request
name: Register
url: "{{localhost}}register"
method: POST
body:
  type: json
  content: |-
    {
        "user": {
            "firstname": "Alfred",
            "lastname": "Platin",
            "email": "mplatin@gmtconsults.com",
            "phone": "+256702771124",
            "password": "password123",
            "password_confirmation": "password123"
        },
        "company": {
            "name": "GMT Consults Ltd",
            "country_id": "48bb4150-404d-471b-ab64-33867ea97683",
            "callback_url": "https://example.com/webhook",
            "website": "https://techsolutions.com",
            "phone": "+256702771124",
            "address": "123 Business St, City, Country",
            "permissions":["payments:create", "payments:read"]
        },
        "send_welcome_email": true,
        "auto_approve": true
    }
auth:
  type: bearer
  credentials:
    token: "{{token}}"
order: 126575552078489
